## org.gnu.gtk.event
Class RequestDragDataEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.DragEvent
              org.gnu.gtk.event.RequestDragDataEvent

All Implemented Interfaces:
  java.io.Serializable

public class RequestDragDataEvent
extends DragEvent

See Also:
  Serialized Form

Nested Class Summary
`static class` `RequestDragDataEvent.Type`

Constructor Summary
`RequestDragDataEvent(DragEvent event, SelectionData data, int targetInfo, int time)`

Method Summary
`SelectionData` `getSelectionData()`
`int` `getTargetInfo()`
`int` `getTime()`

Methods inherited from class org.gnu.gtk.event.DragEvent
`getDragContext`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestDragDataEvent

    public RequestDragDataEvent(DragEvent event,
                                SelectionData data,
                                int targetInfo,
                                int time)

Method Detail

### getSelectionData

    public SelectionData getSelectionData()

### getTargetInfo

    public int getTargetInfo()

### getTime

    public int getTime()